package com.mortals.xhx.module.labels.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.labels.model.vo.LabelsVo;
import lombok.Data;
/**
* 标注实体对象
*
* @author zxfei
* @date 2023-09-18
*/
@Data
public class LabelsEntity extends LabelsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标签名称
    */
    @Excel(name = "标签名称")
    private String labelName;
    /**
    * 标签描述
    */
    private String labelDesc;
    /**
    * 标签图标
    */
    private String labelLogoPath;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof LabelsEntity) {
            LabelsEntity tmp = (LabelsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.labelName = "";
            this.labelDesc = "";
            this.labelLogoPath = "";
            this.sort = 0;
            this.remark = "";
    }
}